Bug 196617 - Review Request: perl-File-chdir - Perl module for local chdir()
Review Request: perl-File-chdir - Perl module for local chdir()
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
Blocks: FE-ACCEPT 196627
  Show dependency treegraph
Reported: 2006-06-25 21:45 EDT by Ian Burrell
Modified: 2008-06-06 14:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-29 02:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2006-06-25 21:45:13 EDT
Spec URL: http://znark.com/fedora/perl-File-chdir.spec
SRPM URL: http://znark.com/fedora/perl-File-chdir-0.06-1.src.rpm
Description: a more sensible way to change directories

It is required by the perl-SVN-Mirror which is required by perl-SVK.
Comment 1 Jason Tibbitts 2006-06-26 11:23:21 EDT
I'm not sure why you have "CHECK(GPL or Artistic)" as the license.  "GPL or
Artistic" is correct.  (Perhaps it's cpanspec doing that?)

You should capitalize the summary.

rpmlint complains about these:
W: perl-File-chdir summary-not-capitalized a more sensible way to change directories
W: perl-File-chdir invalid-license CHECK(GPL or Artistic)

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
X license field matches the actual license.
* license is open source-compatible.  License text not included upstream. 
* source files match upstream:
   41a4661789f6de97fb632e4560d37864  File-chdir-0.06.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
X rpmlint is not silent
* final provides and requires are sane:
   perl(File::chdir) = 0.06
   perl-File-chdir = 0.06-1.fc6
   perl >= 0:5.004
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=48,  0 wallclock secs ( 0.08 cusr +  0.04 csys =  0.12 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Jason Tibbitts 2006-06-26 11:24:55 EDT
By the way, it looks like you need to go through and fix the licenses and
perhaps clean up the symmaries of the other spanspec-generated packages you've
submitted.  I'll be happy to review them all but I'll wait for cleaned-up
versions first.
Comment 4 Jason Tibbitts 2006-06-28 13:37:30 EDT
Still builds fine and rpmlint is now quiet.  The issues I had are fixed.

Comment 5 Ian Burrell 2006-06-29 02:42:58 EDT
Added and built for devel.
Comment 6 Ian Burrell 2008-06-06 13:59:35 EDT
Package Change Request
Package Name: perl-File-chdir
New Branches: EL-4 EL-5
Comment 7 Kevin Fenzi 2008-06-06 14:58:42 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.